unit RechazarPresupuestoCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxControls, cxContainer, cxEdit, cxTextEdit,
  cxMaskEdit, cxDropDownEdit, cxCalendar, RdxBarras, StdCtrls, ExtCtrls,
  RdxPaneles, RdxBotones, ActnList;

type
  TfrRechazarPresupuestoCliente = class(TForm)
    RdxPanel1: TRdxPanel;
    Label2: TLabel;
    BarraSuperior: TRdxBarraSuperior;
    FechaAceptacion: TcxDateEdit;
    eCodigo: TLabel;
    brDoble: TRdxBarraInferior;
    bAceptar: TRdxBoton;
    bCancelar: TRdxBoton;
    imgSombra: TImage;
    procedure FormCreate(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
    procedure bAceptarClick(Sender: TObject);
  private
    FCodigoPresupuesto : String;
  public
    property CodigoPresupuesto : String read FCodigoPresupuesto write FCodigoPresupuesto;
  end;

var
  frRechazarPresupuestoCliente: TfrRechazarPresupuestoCliente;

implementation

{$R *.dfm}

uses
  Mensajes, Literales, TablaPresupuestos, Configuracion, Entidades;

procedure TfrRechazarPresupuestoCliente.FormCreate(Sender: TObject);
begin
  ConfigurarFrame(Self, entPresupuestoCliente);
  FechaAceptacion.Date := Date;
end;

procedure TfrRechazarPresupuestoCliente.bCancelarClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TfrRechazarPresupuestoCliente.bAceptarClick(Sender: TObject);
begin
  if dmTablaPresupuestos.RechazarPresupuesto(FCodigoPresupuesto, FechaAceptacion.Date) then
    ModalResult := mrOk
  else begin
    VerMensajeFmt('No se ha podido rechazar el presupuesto %s.', [CodigoPresupuesto]);
    ModalResult := mrNone;
  end;
end;

end.
